Information on source package rustc

Available versions

ReleaseVersion
stretch1.34.2+dfsg1-1~deb9u1
stretch (security)1.41.1+dfsg1-1~deb9u1
buster1.41.1+dfsg1-1~deb10u1
bullseye1.48.0+dfsg1-2
bookworm1.50.0+dfsg1-1
sid1.56.0+dfsg1-2

Open issues

BugstretchbusterbullseyebookwormsidDescription
CVE-2021-31162vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.52.0, a double free can occur ...
CVE-2021-29922vulnerable (no DSA, ignored)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedlibrary/std/src/net/parser.rs in Rust before 1.53.0 does not properly ...
CVE-2021-28879vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.52.0, the Zip implementation ...
CVE-2021-28878vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.52.0, the Zip implementation ...
CVE-2021-28877vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.51.0, the Zip implementation ...
CVE-2021-28876vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.52.0, the Zip implementation ...
CVE-2021-28875vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.50.0, read_to_end() does not ...
CVE-2020-36323vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.52.0, there is an optimizatio ...
CVE-2020-36318vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.49.0, VecDeque::make_contiguo ...
CVE-2020-36317vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablefixedIn the standard library in Rust before 1.49.0, String::retain() functi ...

Resolved issues

BugDescription
CVE-2019-1010299The Rust Programming Language Standard Library 1.18.0 and later is aff ...
CVE-2019-12083The Rust Programming Language Standard Library 1.34.x before 1.34.2 co ...
CVE-2018-1000810The Rust Programming Language Standard Library version 1.29.0, 1.28.0, ...
CVE-2018-1000657Rust Programming Language Rust standard library version Commit bfa0e1f ...
CVE-2018-1000622The Rust Programming Language rustdoc version Between 0.8 and 1.27.0 c ...
CVE-2018-25008In the standard library in Rust before 1.29.0, there is weak synchroni ...
CVE-2017-20004In the standard library in Rust before 1.19.0, there is a synchronizat ...
CVE-2015-20001In the standard library in Rust before 1.2.0, BinaryHeap is not panic- ...

Search for package or bug name: Reporting problems